Subject: GMPLS signalling for IPv6 networks.

From: "Alan Davey" <[email-masked]>
Date: Mon, 7 Feb 2005 17:16:17 -0000

Hi

I have been looking at signaling GMPLS LSPs in IPv6 networks.  I think that the specification of TLVs for control channel separation signaling requires extension for use in an IPv6 network.  RFC3471 defines TLVs to identify component interfaces using an interface ID and a 32-bit router addresses.  I think that there should be equivalent TLVs defined with 128-bit router addresses for use in IPv6 networks.  

That is, there should be IPv6 equivalents, with 128-bit router addresses, to the following TLV types.

-  IF_INDEX                (Interface Index)    
-  COMPONENT_IF_DOWNSTREAM (Component interface)
-  COMPONENT_IF_UPSTREAM   (Component interface)

My reasoning is as follows.

-  In RFC3471, the IP address in the above TLVs is defined as "an IP address associated with the router, where associated address is the value carried in a router address TLV of routing".

-  Recent drafts from the OSPF and ISIS WGs have defined IPv6 traffic engineering extensions with 128-bit router addresses.

	-  draft-ietf-ospf-ospfv3-traffic, which defines extensions for traffic engineering to OSPFv3, defines a "Router IPv6 Address" TLV to advertise a stable IPv6 address that is always reachable if there is connectivity to the OSPFv3 router.

	-  draft-ietf-isis-ipv6-te defines a 128-bit "IPv6 TE Router ID" for supporting IPv6 traffic engineering.

-  The GMPLS TE specification needs to change (rather than the OSPF and ISIS drafts) to allow the use of an IPv6 control plane.  In particular, to allow GMPLS routers to be identified using IPv6 addresses.

-  Therefore, to identify interfaces using interface ID and router addresses in GMPLS, there need to be TLVs defined that are the equivalent to those listed above but with 128-bit router addresses, as suggested above.

Is there interest in a draft to specify extensions to RFC3471 for IPv6 networks?

All comments are welcome.

Regards

Alan Davey

------------------------------------
Alan Davey
Data Connection Ltd
Tel:   +44 20 8366 1177       
Fax:   +44 20 8363 1039
Email: [email-masked]  
Web:   http://www.dataconnection.com